Subject: bug#31732: 26.1; vc-dir: Deleting unregistered files

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 06:12:00 +0200

Simen Heggestøyl <[email-masked]> writes:

> I'd find it handy to be able to delete unregistered files directly
> from the VC Directory buffer, similar to what Magit does when typing
> 'k' on an untracked file.
>
> Maybe there could be a way to delete multiple files at once too, by
> marking them first.

Yes, that's a command I've always missed.  I've added it to the trunk
now, bound to the `d' keystroke.

By the way, there's already a `vc-dir-delete-file' command, but it only
works for tracked files, and will notify the underlying VC.  So the new
command is called `vc-dir-delete-files-no-vc', which is a pretty awkward
name.  If anybody wants to change it -- please do.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no